QB_MAP_NOTIFY_DEL(3)

NAME
qb_map_notify_del - Delete a notifier from the map.

SYNOPSIS
#include <qb/qbmap.h>

int32_t qb_map_notify_del(
    qb_map_t         *m,       /* the map instance */
    /*
     * the key (or prefix) to attach the notification to.
     */
    const char       *key,
    qb_map_notify_fn  fn,      /* the callback */
    int32_t           events   /* the type of events to register for.*/
);

PARAMS
m the map instance

key the key (or prefix) to attach the notification to.

fn the callback

events the type of events to register for.

DESCRIPTION

RETURN VALUE

0 success

-errno failure

NOTE

the key,fn and events must match those you added.

SEE ALSO

qb_trie_dump(3), qb_map_iter_create(3), qb_skiplist_create(3), qb_map_put(3), qb_map_count_get(3), qb_map_foreach(3), qb_map_pref_iter_create(3), qb_map_iter_next(3), qb_map_get(3), qb_map_destroy(3), qb_hashtable_create(3), qb_map_iter_free(3), qb_map_notify_add(3), qb_trie_create(3), qb_map_notify_del_2(3), qb_map_rm(3)

COPYRIGHT

Copyright (C) 2010-2020 Red Hat, Inc.